Property | Type | Description | |
---|---|---|---|
m_appCreator | Autodesk.Revit.Creation.Application | ||
m_commandData | Autodesk.Revit.UI.ExternalCommandData | ||
m_dataProfile | Autodesk.Revit.DB.Element | ||
m_docCreator | Autodesk.Revit.Creation.Document | ||
m_face | List |
Method | Description | |
---|---|---|
Draw2D ( |
Draw profile of wall or floor in 2D
|
|
DrawOpening ( List |
Abstract method to create Opening
|
|
GetFaceBounds ( ) : System.Drawing.PointF[] |
Get Face Bounds
|
|
GetFaces ( Autodesk elem ) : List
|
Get edges of element's profile
|
|
Profile ( Autodesk elem, ExternalCommandData commandData ) : System |
Constructor
|
|
To2DMatrix ( ) : |
Get a matrix which can transform points to 2D
|
|
ToCenterMatrix ( ) : |
Get a matrix which can move points to origin
|
|
WallMatrix ( ) : |
Wall matrix
|
Method | Description | |
---|---|---|
GetFaceNormal ( List |
Get Face Normal
|
|
GetNeedFace ( List |
Get First Face
|
|
GetWallFace ( List |
Get wall face
|
public Draw2D ( |
||
graphics | form graphic | |
pen | pen use to draw line in pictureBox | |
matrix4 | matrix used to transform points between 3d and 2d. | |
return | void |
public abstract DrawOpening ( List |
||
points | List |
|
type | ToolType | |
return | void |
public GetFaceBounds ( ) : System.Drawing.PointF[] | ||
return | System.Drawing.PointF[] |
public GetFaces ( Autodesk elem ) : List
|
||
elem | Autodesk | Selected element |
return | List
|
public Profile ( Autodesk elem, ExternalCommandData commandData ) : System | ||
elem | Autodesk | Selected element |
commandData | ExternalCommandData | ExternalCommandData |
return | System |
protected Autodesk.Revit.Creation.Application m_appCreator | ||
return | Autodesk.Revit.Creation.Application |
protected ExternalCommandData,Autodesk.Revit.UI m_commandData | ||
return | Autodesk.Revit.UI.ExternalCommandData |
protected Element,Autodesk.Revit.DB m_dataProfile | ||
return | Autodesk.Revit.DB.Element |
protected Autodesk.Revit.Creation.Document m_docCreator | ||
return | Autodesk.Revit.Creation.Document |